{% extends 'base.html.twig' %}

{% block body %}
    <nav class="navbar navbar-default">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <h2><b>Photo Gallery</b></h2>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav navbar-right">
                    {% if user == null %}
                        <li><a href="{{ path('fos_user_security_login') }}">Login</a></li>

                    {% else %}
                        <li><a href="#">Hello, {{ user }}</a></li>
                    {% endif %}
                    <li><a href="{{ path('picture_index') }}">Back</a></li>
                </ul>
            </div><!-- /.navbar-collapse -->
        </div><!-- /.container-fluid -->
    </nav>

    <div class="container">
        {% set user_id = null %}
        {% set user_name = null %}

        {% for pict in pictures_user %}
            {% set user_id = pict.user.id %}
            {% set user_name= pict.user.username %}
        {% else %}
            {% set user_name = user.username %}
        {% endfor %}




        {% if user == null %}
            {% for picture in pictures_user %}
                <b>Title:</b> <i>{{ picture.caption }}</i><br>
                <img width="250px" height="200px" src="{{ vich_uploader_asset(picture, 'imageFile') }}"
                     alt="{{ picture.picture }}"/>
                <hr>
            {% else %}
                <h3>No photos</h3>
            {% endfor %}

        {% else %}

            <h1>{{ user_name }} profile </h1>
            <hr>
            {% if user %}
                {% if user_id == user.id %}
                    <h2>My photos:
                        <a class="but" href="{{ path('picture_new') }}">Create a new picture</a>
                    </h2>
                {% else %}
                    <h2>{{ user_name }} photos:</h2>
                {% endif %}
            {% endif %}

            {% for picture in pictures_user %}
                <b>Title:</b> <i>{{ picture.caption }}</i><br>
                <img width="250px" height="200px" src="{{ vich_uploader_asset(picture, 'imageFile') }}"
                     alt="{{ picture.picture }}"/>
                {% if user.id == picture.user.id %}
                    <a class="but" href="{{ path('app_picture_deletepictureuser', {id: picture.id}) }}">Delete</a>
                {% endif %}
                <hr>
            {% else %}
                {% if user %}
                    <h2>
                        <a class="but" href="{{ path('picture_new') }}">Create a new picture</a>
                    </h2>
                {% endif %}
            {% endfor %}


        {% endif %}
    </div>
{% endblock %}
